Debian Bug report logs - #673997
installer fails with use apt-cdrom to make this cd-rom

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Максимов Никита Игоревич <n.maksimov@insis.ru>

Date: Tue, 22 May 2012 12:57:02 UTC

Severity: important

Tags: d-i, patch

Merged with 673250, 674100, 674488, 677168

Found in versions apt/0.9.5, apt/0.9.3

Fixed in version apt/0.9.6

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#673997; Package installation-reports. (Tue, 22 May 2012 12:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Максимов Никита Игоревич <n.maksimov@insis.ru>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 22 May 2012 12:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Максимов Никита Игоревич <n.maksimov@insis.ru>
To: "submit@bugs.debian.org" <submit@bugs.debian.org>
Subject: Report
Date: Tue, 22 May 2012 12:47:57 +0000
[Message part 1 (text/plain, inline)]
Package: installation-reports

Boot method: CD
Image version: http://cdimage.debian.org/cdimage/daily-builds/daily/20120522-1/i386/iso-cd/debian-testing-i386-netinst.iso
Date: 22 may 2012 15:29

Machine: VMWare Player 4 on HP Probook 4530s
Processor: Intel Core i5 2410M
Memory: 2 Gb
Partitions:
Filesystem     1K-blocks      Used    Available      Use%    Mounted on
none            207496         56      207440         0%      /run
tmpfs          1037468        0       1037486        0%      /dev
/dev/sr0       231424         231424  0              100%    /cdrom
/dev/sda1      40103172       976772  37116852       3%      /target
/dev/sda1      40103172       976772  37116852       3%      /dev/.static/dev
tmpfs           1037468        0       1037468        0%      /target/dev
/dev/sr0       231424         231424  0               100%    /target/media/cdrom0
Output of lspci -knn (or lspci -nn): <not recorded>

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [E]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:
Unable to install busybox.
From /var/log/syslog:
May 22 12:34:45 in-target: Err cdrom://[Debian GNU/Linux testing _Wheezy_ - Official Snapshot i386 NETINST Binary-1 20120522-09:21]/ wheezy/main busybox i386 1:1.19.3-7
May 22 12:34:45 in-target: Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
May 22 12:34:45 in-target: Failed to fetch cd-rom: [Debian GNU/Linux testing _Wheezy_ - Official Snapshot i386 NETINST Binary-1 20120522-09:21]/pool/main/b/busybox/busybox_1.19.3-7_i386.deb Please use apt-cd-rom to make this CD-ROM recognized by APT. ap
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#673997; Package installation-reports. (Tue, 22 May 2012 21:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 22 May 2012 21:45:11 GMT) Full text and rfc822 format available.

Message #10 received at 673997@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 673997@bugs.debian.org
Cc: Максимов Никита Игоревич <n.maksimov@insis.ru>
Subject: Re: Bug#673997: Report
Date: Tue, 22 May 2012 22:42:18 +0100
[Message part 1 (text/plain, inline)]
Same happened to me with daily images.
Attaching log for analysis.

Running apt-cdrom from a console:

~# /target/usr/bin/apt-cdrom

fails with a message it can open a shared library - libapt-pkg.so.4.12.
Also image attached.


-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
[syslog.gz (application/x-gzip, attachment)]
[fail.png (image/png, attachment)]

Severity set to 'grave' from 'normal' Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Tue, 22 May 2012 22:45:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'installer fails with use apt-cdrom to make this cd-rom' from 'Report' Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Tue, 22 May 2012 22:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#673997; Package installation-reports. (Sun, 03 Jun 2012 03:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to jonathan <jdye@adaptivecomputing.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 03 Jun 2012 03:33:09 GMT) Full text and rfc822 format available.

Message #19 received at 673997@bugs.debian.org (full text, mbox):

From: jonathan <jdye@adaptivecomputing.com>
To: 673997@bugs.debian.org
Subject: Re: Bug#673997: Report
Date: Sat, 02 Jun 2012 21:30:40 -0600
> ~# /target/usr/bin/apt-cdrom

it's probably not calling it from the busybox environment though, right?
and the libs look ok from inside target if you chroot first, and
apt-cdrom runs.

- jonathan





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#673997; Package installation-reports. (Tue, 05 Jun 2012 21:23:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 05 Jun 2012 21:24:10 GMT) Full text and rfc822 format available.

Message #24 received at 673997@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: Максимов Никита Игоревич <n.maksimov@insis.ru>, 673997@bugs.debian.org, Filipus Klutiero <chealer@gmail.com>, 674100@bugs.debian.org
Subject: apt-cdrom issue now fixed
Date: Tue, 05 Jun 2012 22:09:29 +0100
This is now fixed.
My guess this was fixed with apt 0.9.5.1.

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#673997; Package installation-reports. (Tue, 05 Jun 2012 22:16:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 05 Jun 2012 22:16:30 GMT) Full text and rfc822 format available.

Message #29 received at 673997@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: Miguel Figueiredo <elmig@debianpt.org>
Cc: Максимов Никита Игоревич <n.maksimov@insis.ru>, 673997@bugs.debian.org, 674100@bugs.debian.org, 674488@bugs.debian.org
Subject: Re: apt-cdrom issue now fixed
Date: Tue, 05 Jun 2012 17:36:23 -0400
On 2012-06-05 17:09, Miguel Figueiredo wrote:
> This is now fixed.
> My guess this was fixed with apt 0.9.5.1.
>

It's still broken here (testing).




Bug reassigned from package 'installation-reports' to 'apt'. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'grave' Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:11 GMT) Full text and rfc822 format available.

Marked as found in versions apt/0.9.5 and apt/0.9.3. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:12 GMT) Full text and rfc822 format available.

Added tag(s) d-i. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:13 GMT) Full text and rfc822 format available.

Merged 673250 673997 674100 674488 Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:16 GMT) Full text and rfc822 format available.

Added indication that 673997 affects installation-reports, simple-cdd, and cdrom Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 02:45:19 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Wed, 06 Jun 2012 04:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#673997; Package apt. (Wed, 06 Jun 2012 05:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 06 Jun 2012 05:15:07 GMT) Full text and rfc822 format available.

Message #48 received at 673997@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: 674488@bugs.debian.org, 673250@bugs.debian.org, 673997@bugs.debian.org
Subject: apt: apt-cdrom add generates broken cdroms.list
Date: Wed, 06 Jun 2012 00:39:44 -0400
tags 674100 patch
thanks

See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=674100#39




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#673997; Package apt. (Sat, 09 Jun 2012 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guruprasad <lgp171188@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 09 Jun 2012 06:33:03 GMT) Full text and rfc822 format available.

Message #53 received at 673997@bugs.debian.org (full text, mbox):

From: Guruprasad <lgp171188@gmail.com>
To: 673997@bugs.debian.org
Subject: Still broken as of Jun 9, 2012
Date: Sat, 9 Jun 2012 11:59:07 +0530
I tried the image from today and it is still broken

-- 
Thank you.

Regards,
Guruprasad.




Merged 673250 673997 674100 674488 677168 Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Tue, 12 Jun 2012 02:45:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Jul 2012 07:25:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:36:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.